CURLINFO_FILETIME(3)

NAME
CURLINFO_FILETIME - remote time of the retrieved document

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_FILETIME, long *timep);

DESCRIPTION
Pass a pointer to a long to receive the remote time of the retrieved document in number of seconds since January 1 1970 in the GMT/UTC time zone. If you get -1, it can be because of many reasons (it might be unknown, the server might hide it or the server does not support the command that tells document time etc) and the time of the document is unknown. You must ask libcurl to collect this information before the transfer is made, by using the CURLOPT_FILETIME(3) option or you unconditionally get a -1 back. Consider CURLINFO_FILETIME_T(3) instead to be able to extract dates beyond the year 2038 on systems using 32-bit longs (Windows).

PROTOCOLS
This functionality affects ftp, http and sftp

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    /* Ask for filetime */
    curl_easy_setopt(curl, CURLOPT_FILETIME, 1L);
    result = curl_easy_perform(curl);
    if(result == CURLE_OK) {
      long filetime = 0;
      result = curl_easy_getinfo(curl, CURLINFO_FILETIME, &filetime);
      if((result == CURLE_OK) && (filetime != -1)) {
        time_t file_time = (time_t)filetime;
        printf("filetime: %s", ctime(&file_time));
      }
    }
    /* always cleanup */
    curl_easy_cleanup(curl);
  }
}

AVAILABILITY
Added in curl 7.5

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLOPT_FILETIME(3), curl_easy_getinfo(3), curl_easy_setopt(3)